package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * 企业基本信息表
 *
 * @author lx
 * @since 2024-10-12 17:33
 */
@TableName("o_t_yqyd_enterprise")
public class OTYqydEnterprise implements Serializable {

    private static final long serialVersionUID = 1L;

    private String eid;

    private Long id;

    private String regNo;

    private String creditNo;

    private String orgNo;

    private String name;

    private String formatName;

    private String econKind;

    private String registCapi;

    private String actualCapi;

    private String scope;

    private String termStart;

    private String termEnd;

    private String checkDate;

    private String belongOrg;

    private String operName;

    private String operType;

    private String startDate;

    private String status;

    private String title;

    private Double longitude;

    private Double latitude;

    private Double gdLongitude;

    private Double gdLatitude;

    private String colleguesNum;

    private Long createdTime;

    private String logoUrl;

    private String econType;

    private String department;

    private String url;

    private Date rowUpdateTime;

    private String provinceCode;

    private String districtCode;

    private String titleCode;

    private String econKindCode;

    private BigDecimal registCapiNew;

    private String currencyUnit;

    private String revokeReason;

    private String revokeDate;

    private String logoutReason;

    private String logoutDate;

    private String revokedCertificates;

    private String newStatusCode;

    private String typeNew;

    private String categoryNew;

    private String organizationCode;

    private Date localRowUpdateTime;

    @TableField("odm_rksj")
    private Date odmRksj;

    public String getEid() {
        return eid;
    }

    public void setEid(String eid) {
        this.eid = eid;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRegNo() {
        return regNo;
    }

    public void setRegNo(String regNo) {
        this.regNo = regNo;
    }

    public String getCreditNo() {
        return creditNo;
    }

    public void setCreditNo(String creditNo) {
        this.creditNo = creditNo;
    }

    public String getOrgNo() {
        return orgNo;
    }

    public void setOrgNo(String orgNo) {
        this.orgNo = orgNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFormatName() {
        return formatName;
    }

    public void setFormatName(String formatName) {
        this.formatName = formatName;
    }

    public String getEconKind() {
        return econKind;
    }

    public void setEconKind(String econKind) {
        this.econKind = econKind;
    }

    public String getRegistCapi() {
        return registCapi;
    }

    public void setRegistCapi(String registCapi) {
        this.registCapi = registCapi;
    }

    public String getActualCapi() {
        return actualCapi;
    }

    public void setActualCapi(String actualCapi) {
        this.actualCapi = actualCapi;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getTermStart() {
        return termStart;
    }

    public void setTermStart(String termStart) {
        this.termStart = termStart;
    }

    public String getTermEnd() {
        return termEnd;
    }

    public void setTermEnd(String termEnd) {
        this.termEnd = termEnd;
    }

    public String getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(String checkDate) {
        this.checkDate = checkDate;
    }

    public String getBelongOrg() {
        return belongOrg;
    }

    public void setBelongOrg(String belongOrg) {
        this.belongOrg = belongOrg;
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public String getOperType() {
        return operType;
    }

    public void setOperType(String operType) {
        this.operType = operType;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Double getGdLongitude() {
        return gdLongitude;
    }

    public void setGdLongitude(Double gdLongitude) {
        this.gdLongitude = gdLongitude;
    }

    public Double getGdLatitude() {
        return gdLatitude;
    }

    public void setGdLatitude(Double gdLatitude) {
        this.gdLatitude = gdLatitude;
    }

    public String getColleguesNum() {
        return colleguesNum;
    }

    public void setColleguesNum(String colleguesNum) {
        this.colleguesNum = colleguesNum;
    }

    public Long getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Long createdTime) {
        this.createdTime = createdTime;
    }

    public String getLogoUrl() {
        return logoUrl;
    }

    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }

    public String getEconType() {
        return econType;
    }

    public void setEconType(String econType) {
        this.econType = econType;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Date getRowUpdateTime() {
        return rowUpdateTime;
    }

    public void setRowUpdateTime(Date rowUpdateTime) {
        this.rowUpdateTime = rowUpdateTime;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getDistrictCode() {
        return districtCode;
    }

    public void setDistrictCode(String districtCode) {
        this.districtCode = districtCode;
    }

    public String getTitleCode() {
        return titleCode;
    }

    public void setTitleCode(String titleCode) {
        this.titleCode = titleCode;
    }

    public String getEconKindCode() {
        return econKindCode;
    }

    public void setEconKindCode(String econKindCode) {
        this.econKindCode = econKindCode;
    }

    public BigDecimal getRegistCapiNew() {
        return registCapiNew;
    }

    public void setRegistCapiNew(BigDecimal registCapiNew) {
        this.registCapiNew = registCapiNew;
    }

    public String getCurrencyUnit() {
        return currencyUnit;
    }

    public void setCurrencyUnit(String currencyUnit) {
        this.currencyUnit = currencyUnit;
    }

    public String getRevokeReason() {
        return revokeReason;
    }

    public void setRevokeReason(String revokeReason) {
        this.revokeReason = revokeReason;
    }

    public String getRevokeDate() {
        return revokeDate;
    }

    public void setRevokeDate(String revokeDate) {
        this.revokeDate = revokeDate;
    }

    public String getLogoutReason() {
        return logoutReason;
    }

    public void setLogoutReason(String logoutReason) {
        this.logoutReason = logoutReason;
    }

    public String getLogoutDate() {
        return logoutDate;
    }

    public void setLogoutDate(String logoutDate) {
        this.logoutDate = logoutDate;
    }

    public String getRevokedCertificates() {
        return revokedCertificates;
    }

    public void setRevokedCertificates(String revokedCertificates) {
        this.revokedCertificates = revokedCertificates;
    }

    public String getNewStatusCode() {
        return newStatusCode;
    }

    public void setNewStatusCode(String newStatusCode) {
        this.newStatusCode = newStatusCode;
    }

    public String getTypeNew() {
        return typeNew;
    }

    public void setTypeNew(String typeNew) {
        this.typeNew = typeNew;
    }

    public String getCategoryNew() {
        return categoryNew;
    }

    public void setCategoryNew(String categoryNew) {
        this.categoryNew = categoryNew;
    }

    public String getOrganizationCode() {
        return organizationCode;
    }

    public void setOrganizationCode(String organizationCode) {
        this.organizationCode = organizationCode;
    }

    public Date getLocalRowUpdateTime() {
        return localRowUpdateTime;
    }

    public void setLocalRowUpdateTime(Date localRowUpdateTime) {
        this.localRowUpdateTime = localRowUpdateTime;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }
}
