package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OT12345SysArea;
import com.eazytec.hkydatabasessynchronization.mapper.OT12345SysAreaMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OT12345SysAreaEvent implements IBinlogEventHandler<OT12345SysArea> {

    private final OT12345SysAreaMapper mapper;

    public OT12345SysAreaEvent(OT12345SysAreaMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OT12345SysArea> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OT12345SysArea> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OT12345SysArea> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_12345_sys_area");
    }
}
