package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDict;
import com.eazytec.hkydatabasessynchronization.mapper.OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDictMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDictEvent implements IBinlogEventHandler<OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDict> {

    private final OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDictMapper mapper;

    public OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDictEvent(OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDictMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDict> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDict> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTEmerspsEmeCdeCodeDictoTEmerspsEmeCdeCodeDict> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_emersps_eme_cde_code_dicto_t_emersps_eme_cde_code_dict");
    }
}
