package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTEmerspsSpsEnterpriseMaterialInfo;
import com.eazytec.hkydatabasessynchronization.mapper.OTEmerspsSpsEnterpriseMaterialInfoMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OTEmerspsSpsEnterpriseMaterialInfoEvent implements IBinlogEventHandler<OTEmerspsSpsEnterpriseMaterialInfo> {

    private final OTEmerspsSpsEnterpriseMaterialInfoMapper mapper;

    public OTEmerspsSpsEnterpriseMaterialInfoEvent(OTEmerspsSpsEnterpriseMaterialInfoMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTEmerspsSpsEnterpriseMaterialInfo> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTEmerspsSpsEnterpriseMaterialInfo> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTEmerspsSpsEnterpriseMaterialInfo> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_emersps_sps_enterprise_material_info");
    }
}
