package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTSthjTAirStationBaseinfo;
import com.eazytec.hkydatabasessynchronization.mapper.OTSthjTAirStationBaseinfoMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OTSthjTAirStationBaseinfoEvent implements IBinlogEventHandler<OTSthjTAirStationBaseinfo> {

    private final OTSthjTAirStationBaseinfoMapper mapper;

    public OTSthjTAirStationBaseinfoEvent(OTSthjTAirStationBaseinfoMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTSthjTAirStationBaseinfo> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTSthjTAirStationBaseinfo> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTSthjTAirStationBaseinfo> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_sthj_t_air_station_baseinfo");
    }
}
