package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTSyrk;
import com.eazytec.hkydatabasessynchronization.mapper.OTSyrkMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OTSyrkEvent implements IBinlogEventHandler<OTSyrk> {

    private final OTSyrkMapper mapper;

    public OTSyrkEvent(OTSyrkMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTSyrk> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTSyrk> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTSyrk> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_syrk");
    }
}
