package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTYqydEnterprise;
import com.eazytec.hkydatabasessynchronization.mapper.OTYqydEnterpriseMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OTYqydEnterpriseEvent implements IBinlogEventHandler<OTYqydEnterprise> {

    private final OTYqydEnterpriseMapper mapper;

    public OTYqydEnterpriseEvent(OTYqydEnterpriseMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTYqydEnterprise> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTYqydEnterprise> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTYqydEnterprise> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_yqyd_enterprise");
    }
}
