package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * 企业安全生产-企业重大危险源
 *
 * @author lx
 * @since 2024-10-12 17:33
 */
@TableName("o_t_emersps_sps_enterprise_major_hazard")
public class OTEmerspsSpsEnterpriseMajorHazard implements Serializable {

    private static final long serialVersionUID = 1L;

    private String enterpriseMajorHazardId;

    private String enterpriseId;

    private String enterpriseName;

    private String enterpriseAbbreviation;

    private String enterpriseUnifiedCreditCode;

    private String majorHazardName;

    private String majorHazardAbbreviation;

    private String majorHazardCode;

    private String dept;

    private String majorHazardLevel;

    private String type;

    private String rValue;

    @TableField("people_number_500")
    private String peopleNumber500;

    private String protectionDistance;

    private String maximumTankGroup;

    private String associatedGateway;

    private String administrative;

    private String majorHazardCategory;

    private String position;

    private String longitude;

    private String latitude;

    private String updater;

    private String dataSourceId;

    private String dataVersion;

    private String searchTitle;

    private Date throwTime;

    private Date gmtCreated;

    @TableField("odm_rksj")
    private Date gmtModified;

    public String getEnterpriseMajorHazardId() {
        return enterpriseMajorHazardId;
    }

    public void setEnterpriseMajorHazardId(String enterpriseMajorHazardId) {
        this.enterpriseMajorHazardId = enterpriseMajorHazardId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseAbbreviation() {
        return enterpriseAbbreviation;
    }

    public void setEnterpriseAbbreviation(String enterpriseAbbreviation) {
        this.enterpriseAbbreviation = enterpriseAbbreviation;
    }

    public String getEnterpriseUnifiedCreditCode() {
        return enterpriseUnifiedCreditCode;
    }

    public void setEnterpriseUnifiedCreditCode(String enterpriseUnifiedCreditCode) {
        this.enterpriseUnifiedCreditCode = enterpriseUnifiedCreditCode;
    }

    public String getMajorHazardName() {
        return majorHazardName;
    }

    public void setMajorHazardName(String majorHazardName) {
        this.majorHazardName = majorHazardName;
    }

    public String getMajorHazardAbbreviation() {
        return majorHazardAbbreviation;
    }

    public void setMajorHazardAbbreviation(String majorHazardAbbreviation) {
        this.majorHazardAbbreviation = majorHazardAbbreviation;
    }

    public String getMajorHazardCode() {
        return majorHazardCode;
    }

    public void setMajorHazardCode(String majorHazardCode) {
        this.majorHazardCode = majorHazardCode;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getMajorHazardLevel() {
        return majorHazardLevel;
    }

    public void setMajorHazardLevel(String majorHazardLevel) {
        this.majorHazardLevel = majorHazardLevel;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRValue() {
        return rValue;
    }

    public void setRValue(String rValue) {
        this.rValue = rValue;
    }

    public String getPeopleNumber500() {
        return peopleNumber500;
    }

    public void setPeopleNumber500(String peopleNumber500) {
        this.peopleNumber500 = peopleNumber500;
    }

    public String getProtectionDistance() {
        return protectionDistance;
    }

    public void setProtectionDistance(String protectionDistance) {
        this.protectionDistance = protectionDistance;
    }

    public String getMaximumTankGroup() {
        return maximumTankGroup;
    }

    public void setMaximumTankGroup(String maximumTankGroup) {
        this.maximumTankGroup = maximumTankGroup;
    }

    public String getAssociatedGateway() {
        return associatedGateway;
    }

    public void setAssociatedGateway(String associatedGateway) {
        this.associatedGateway = associatedGateway;
    }

    public String getAdministrative() {
        return administrative;
    }

    public void setAdministrative(String administrative) {
        this.administrative = administrative;
    }

    public String getMajorHazardCategory() {
        return majorHazardCategory;
    }

    public void setMajorHazardCategory(String majorHazardCategory) {
        this.majorHazardCategory = majorHazardCategory;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public String getDataVersion() {
        return dataVersion;
    }

    public void setDataVersion(String dataVersion) {
        this.dataVersion = dataVersion;
    }

    public String getSearchTitle() {
        return searchTitle;
    }

    public void setSearchTitle(String searchTitle) {
        this.searchTitle = searchTitle;
    }

    public Date getThrowTime() {
        return throwTime;
    }

    public void setThrowTime(Date throwTime) {
        this.throwTime = throwTime;
    }

    public Date getGmtCreated() {
        return gmtCreated;
    }

    public void setGmtCreated(Date gmtCreated) {
        this.gmtCreated = gmtCreated;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
}
