package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTEmerspsSpsEnterpriseMajorHazard;
import com.eazytec.hkydatabasessynchronization.mapper.OTEmerspsSpsEnterpriseMajorHazardMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class EOTEmerspsSpsEnterpriseMajorHazardEvent implements IBinlogEventHandler<OTEmerspsSpsEnterpriseMajorHazard> {

    private final OTEmerspsSpsEnterpriseMajorHazardMapper mapper;

    public EOTEmerspsSpsEnterpriseMajorHazardEvent(OTEmerspsSpsEnterpriseMajorHazardMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTEmerspsSpsEnterpriseMajorHazard> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTEmerspsSpsEnterpriseMajorHazard> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTEmerspsSpsEnterpriseMajorHazard> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_emersps_sps_enterprise_major_hazard");
    }
}
