package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OT12345SysGroupData;
import com.eazytec.hkydatabasessynchronization.mapper.OT12345SysGroupDataMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OT12345SysGroupDataEvent implements IBinlogEventHandler<OT12345SysGroupData> {

    private final OT12345SysGroupDataMapper mapper;

    public OT12345SysGroupDataEvent(OT12345SysGroupDataMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OT12345SysGroupData> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OT12345SysGroupData> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OT12345SysGroupData> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_12345_sys_group_data");
    }
}
