package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OT12345TBusiForm;
import com.eazytec.hkydatabasessynchronization.mapper.OT12345TBusiFormMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OT12345TBusiFormEvent implements IBinlogEventHandler<OT12345TBusiForm> {

    private final OT12345TBusiFormMapper mapper;

    public OT12345TBusiFormEvent(OT12345TBusiFormMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OT12345TBusiForm> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OT12345TBusiForm> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OT12345TBusiForm> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_12345_t_busi_form");
    }
}
