package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTEmerspsSpsEnterpriseEvaluationTestReport;
import com.eazytec.hkydatabasessynchronization.mapper.OTEmerspsSpsEnterpriseEvaluationTestReportMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OTEmerspsSpsEnterpriseEvaluationTestReportEvent implements IBinlogEventHandler<OTEmerspsSpsEnterpriseEvaluationTestReport> {

    private final OTEmerspsSpsEnterpriseEvaluationTestReportMapper mapper;

    public OTEmerspsSpsEnterpriseEvaluationTestReportEvent(OTEmerspsSpsEnterpriseEvaluationTestReportMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTEmerspsSpsEnterpriseEvaluationTestReport> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTEmerspsSpsEnterpriseEvaluationTestReport> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTEmerspsSpsEnterpriseEvaluationTestReport> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_emersps_sps_enterprise_evaluation_test_report");
    }
}
