package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTEmerspsSpsEnterpriseRiskIdentification;
import com.eazytec.hkydatabasessynchronization.mapper.OTEmerspsSpsEnterpriseRiskIdentificationMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OTEmerspsSpsEnterpriseRiskIdentificationEvent implements IBinlogEventHandler<OTEmerspsSpsEnterpriseRiskIdentification> {

    private final OTEmerspsSpsEnterpriseRiskIdentificationMapper mapper;

    public OTEmerspsSpsEnterpriseRiskIdentificationEvent(OTEmerspsSpsEnterpriseRiskIdentificationMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTEmerspsSpsEnterpriseRiskIdentification> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTEmerspsSpsEnterpriseRiskIdentification> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTEmerspsSpsEnterpriseRiskIdentification> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_emersps_sps_enterprise_risk_identification");
    }
}
