package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTEmerspsSpsEnterpriseSpecialOperationPerson;
import com.eazytec.hkydatabasessynchronization.mapper.OTEmerspsSpsEnterpriseSpecialOperationPersonMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OTEmerspsSpsEnterpriseSpecialOperationPersonEvent implements IBinlogEventHandler<OTEmerspsSpsEnterpriseSpecialOperationPerson> {

    private final OTEmerspsSpsEnterpriseSpecialOperationPersonMapper mapper;

    public OTEmerspsSpsEnterpriseSpecialOperationPersonEvent(OTEmerspsSpsEnterpriseSpecialOperationPersonMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTEmerspsSpsEnterpriseSpecialOperationPerson> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTEmerspsSpsEnterpriseSpecialOperationPerson> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTEmerspsSpsEnterpriseSpecialOperationPerson> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_emersps_sps_enterprise_special_operation_person");
    }
}
