package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.OTGxjCydnJiyueMapDikuai;
import com.eazytec.hkydatabasessynchronization.mapper.OTGxjCydnJiyueMapDikuaiMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class OTGxjCydnJiyueMapDikuaiEvent implements IBinlogEventHandler<OTGxjCydnJiyueMapDikuai> {

    private final OTGxjCydnJiyueMapDikuaiMapper mapper;

    public OTGxjCydnJiyueMapDikuaiEvent(OTGxjCydnJiyueMapDikuaiMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<OTGxjCydnJiyueMapDikuai> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<OTGxjCydnJiyueMapDikuai> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<OTGxjCydnJiyueMapDikuai> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("o_t_gxj_cydn_jiyue_map_dikuai");
    }
}
